## org.apache.poi.hssf.record
Class SeriesRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.SeriesRecord

public class SeriesRecord
extends Record

The series record describes the overall data for a series. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `BUBBLE_SERIES_TYPE_DATES`
`static short` `BUBBLE_SERIES_TYPE_NUMERIC`
`static short` `BUBBLE_SERIES_TYPE_SEQUENCE`
`static short` `BUBBLE_SERIES_TYPE_TEXT`
`static short` `CATEGORY_DATA_TYPE_DATES`
`static short` `CATEGORY_DATA_TYPE_NUMERIC`
`static short` `CATEGORY_DATA_TYPE_SEQUENCE`
`static short` `CATEGORY_DATA_TYPE_TEXT`
`static short` `sid`
`static short` `VALUES_DATA_TYPE_DATES`
`static short` `VALUES_DATA_TYPE_NUMERIC`
`static short` `VALUES_DATA_TYPE_SEQUENCE`
`static short` `VALUES_DATA_TYPE_TEXT`

Constructor Summary
`SeriesRecord()`
`SeriesRecord(short id, short size, byte[] data)` Constructs a Series record and sets its fields appropriately.
`SeriesRecord(short id, short size, byte[] data, int offset)` Constructs a Series record and sets its fields appropriately.

Method Summary
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` `getBubbleSeriesType()` Get the bubble series type field for the Series record.
`short` `getCategoryDataType()` Get the category data type field for the Series record.
`short` `getNumBubbleValues()` Get the num bubble values field for the Series record.
`short` `getNumCategories()` Get the num categories field for the Series record.
`short` `getNumValues()` Get the num values field for the Series record.
`int` `getRecordSize()` Size of record (exluding 4 byte header)
`short` `getSid()` return the non static version of the id for this record.
`short` `getValuesDataType()` Get the values data type field for the Series record.
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setBubbleSeriesType(short field_5_bubbleSeriesType)` Set the bubble series type field for the Series record.
`void` `setCategoryDataType(short field_1_categoryDataType)` Set the category data type field for the Series record.
`void` `setNumBubbleValues(short field_6_numBubbleValues)` Set the num bubble values field for the Series record.
`void` `setNumCategories(short field_3_numCategories)` Set the num categories field for the Series record.
`void` `setNumValues(short field_4_numValues)` Set the num values field for the Series record.
`void` `setValuesDataType(short field_2_valuesDataType)` Set the values data type field for the Series record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### CATEGORY_DATA_TYPE_DATES

    public static final short CATEGORY_DATA_TYPE_DATES

See Also:
  Constant Field Values

### CATEGORY_DATA_TYPE_NUMERIC

    public static final short CATEGORY_DATA_TYPE_NUMERIC

See Also:
  Constant Field Values

### CATEGORY_DATA_TYPE_SEQUENCE

    public static final short CATEGORY_DATA_TYPE_SEQUENCE

See Also:
  Constant Field Values

### CATEGORY_DATA_TYPE_TEXT

    public static final short CATEGORY_DATA_TYPE_TEXT

See Also:
  Constant Field Values

### VALUES_DATA_TYPE_DATES

    public static final short VALUES_DATA_TYPE_DATES

See Also:
  Constant Field Values

### VALUES_DATA_TYPE_NUMERIC

    public static final short VALUES_DATA_TYPE_NUMERIC

See Also:
  Constant Field Values

### VALUES_DATA_TYPE_SEQUENCE

    public static final short VALUES_DATA_TYPE_SEQUENCE

See Also:
  Constant Field Values

### VALUES_DATA_TYPE_TEXT

    public static final short VALUES_DATA_TYPE_TEXT

See Also:
  Constant Field Values

### BUBBLE_SERIES_TYPE_DATES

    public static final short BUBBLE_SERIES_TYPE_DATES

See Also:
  Constant Field Values

### BUBBLE_SERIES_TYPE_NUMERIC

    public static final short BUBBLE_SERIES_TYPE_NUMERIC

See Also:
  Constant Field Values

### BUBBLE_SERIES_TYPE_SEQUENCE

    public static final short BUBBLE_SERIES_TYPE_SEQUENCE

See Also:
  Constant Field Values

### BUBBLE_SERIES_TYPE_TEXT

    public static final short BUBBLE_SERIES_TYPE_TEXT

See Also:
  Constant Field Values

Constructor Detail

### SeriesRecord

    public SeriesRecord()

### SeriesRecord

    public SeriesRecord(short id,
                        short size,
                        byte[] data)

  Constructs a Series record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1003 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### SeriesRecord

    public SeriesRecord(short id,
                        short size,
                        byte[] data,
                        int offset)

  Constructs a Series record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1003 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getCategoryDataType

    public short getCategoryDataType()

  Get the category data type field for the Series record.

  Returns:
    One of CATEGORY_DATA_TYPE_DATES CATEGORY_DATA_TYPE_NUMERIC CATEGORY_DATA_TYPE_SEQUENCE CATEGORY_DATA_TYPE_TEXT

### setCategoryDataType

    public void setCategoryDataType(short field_1_categoryDataType)

  Set the category data type field for the Series record.

  Parameters:
    `field_1_categoryDataType` - One of CATEGORY_DATA_TYPE_DATES CATEGORY_DATA_TYPE_NUMERIC CATEGORY_DATA_TYPE_SEQUENCE CATEGORY_DATA_TYPE_TEXT

### getValuesDataType

    public short getValuesDataType()

  Get the values data type field for the Series record.

  Returns:
    One of VALUES_DATA_TYPE_DATES VALUES_DATA_TYPE_NUMERIC VALUES_DATA_TYPE_SEQUENCE VALUES_DATA_TYPE_TEXT

### setValuesDataType

    public void setValuesDataType(short field_2_valuesDataType)

  Set the values data type field for the Series record.

  Parameters:
    `field_2_valuesDataType` - One of VALUES_DATA_TYPE_DATES VALUES_DATA_TYPE_NUMERIC VALUES_DATA_TYPE_SEQUENCE VALUES_DATA_TYPE_TEXT

### getNumCategories

    public short getNumCategories()

  Get the num categories field for the Series record.

### setNumCategories

    public void setNumCategories(short field_3_numCategories)

  Set the num categories field for the Series record.

### getNumValues

    public short getNumValues()

  Get the num values field for the Series record.

### setNumValues

    public void setNumValues(short field_4_numValues)

  Set the num values field for the Series record.

### getBubbleSeriesType

    public short getBubbleSeriesType()

  Get the bubble series type field for the Series record.

  Returns:
    One of BUBBLE_SERIES_TYPE_DATES BUBBLE_SERIES_TYPE_NUMERIC BUBBLE_SERIES_TYPE_SEQUENCE BUBBLE_SERIES_TYPE_TEXT

### setBubbleSeriesType

    public void setBubbleSeriesType(short field_5_bubbleSeriesType)

  Set the bubble series type field for the Series record.

  Parameters:
    `field_5_bubbleSeriesType` - One of BUBBLE_SERIES_TYPE_DATES BUBBLE_SERIES_TYPE_NUMERIC BUBBLE_SERIES_TYPE_SEQUENCE BUBBLE_SERIES_TYPE_TEXT

### getNumBubbleValues

    public short getNumBubbleValues()

  Get the num bubble values field for the Series record.

### setNumBubbleValues

    public void setNumBubbleValues(short field_6_numBubbleValues)

  Set the num bubble values field for the Series record.

Copyright © 2003 Apache Software Foundation.